Subject: Re: [PATCH 03/16] refs: implement releasing ref storages

From: Junio C Hamano <[email-masked]>
Date: Thu, 16 May 2024 11:01:01 -0700

Karthik Nayak <[email-masked]> writes:

>> +static void debug_release(struct ref_store *refs)
>> +{
>> +	struct debug_ref_store *drefs = (struct debug_ref_store *)refs;
>
> We should probably add a trace here, using `trace_printf_key()`

A totally ignorant question.  Should we be adding more traces with
trace_* API instead of trace2_* API?  If the latter aims to cover
superset of use cases the former did, I was hoping that we can
eventually deprecate the former, hence this question.  Of course We
could add a compatiblity layer that emulates trace_* API with a thin
wrapper around trace2_* API, but if we do not add new callers, it
may still be feasible to directly migrate the callers to use trace2_
API without having to invent such compatibility wrappers.